REST APIOrganizationOrganization Management

GET

List all trade orders for an organization.

Query Params

  • organizationId string required
    The ID of the organization that owns the trade orders
  • enterpriseId string
    Filter to trade orders belonging to a specific child enterprise
  • accountId string
    Filter to trade orders for a specific trading account
  • orderId string
    Filter to a single trade order by id
  • dateGte string
    Filter to trade orders created on or after this ISO date
  • dateLt string
    Filter to trade orders created before this ISO date
  • status string enum
    Filter by trade order status
    canceledcompletederroropenpending_cancelpending_openscheduled
  • side string enum
    Filter by trade order side (buy or sell)
    buysell
  • product string
    Filter by trade product
  • limit string
    Maximum number of orders to return in this page

    matches ^\d+$

  • offset string
    Number of orders to skip before starting this page

    matches ^\d+$

Responses

200

Response Body

object

  • data array of objects required
    data object
    • id string required
    • accountId string required
    • clientOrderId string
    • time string required
    • creationDate string required
    • scheduledDate string
    • lastFillDate string
    • completionDate string required
    • settleDate string
    • type string required
    • fundingType string required

      ANY OF

      string enum

    • notes string
    • status string enum required
      opencanceledcompletederrorpending_openpending_cancelscheduled
    • product string required
    • side string required

      ANY OF

      string enum

    • quantity string required
    • quantityCurrency string required
    • filledQuantity string required
    • filledQuoteQuantity string required
    • averagePrice string required
    • limitPrice string
    • initiatedByUserId string
    • canceledByUserId string nullable required
    • duration number
    • timeInForce string

      ANY OF

      string enum

    • reasonDescription string
    • rtId string
    • parameters object
      parameters object
      • isTimeSliced boolean
      • boundsControl string enum
        narrowstandardwide
      • interval number
      • intervalUnit string enum
        secondminutehour
      • variance number
      • subOrderSize string
  • nextOffset number
    Offset to use for the next page when the current page is full